"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
const assert = require("power-assert");
const NumberUtil_1 = require("./NumberUtil");
describe('NumberUtil test', async function () {
    it(' add ', async () => {
        assert.equal(NumberUtil_1.NumberUtil.add(0.1, 0.2), 0.3);
    });
    it(' sub ', async () => {
        assert.equal(NumberUtil_1.NumberUtil.sub(0.3, 0.2), 0.1);
    });
    it(' closeToZero ', async () => {
        assert.ok(NumberUtil_1.NumberUtil.closeToZero(0.00000001));
        assert.equal(NumberUtil_1.NumberUtil.closeToZero(0.1), false);
        assert.equal(NumberUtil_1.NumberUtil.closeToZero(0.01), true);
    });
    it(' fixedNum ', async () => {
        assert.ok(_.isNumber(NumberUtil_1.NumberUtil.fixedNum(2.335)));
        // 惊不惊喜意不意外
        assert.equal(NumberUtil_1.NumberUtil.fixedNum(2.335), 2.33);
        assert.equal(NumberUtil_1.NumberUtil.fixedNum(2.3351), 2.34);
        assert.equal(NumberUtil_1.NumberUtil.fixedNum(2.345), 2.35);
        assert.equal(NumberUtil_1.NumberUtil.fixedNum(2.33333333, 4), 2.3333);
        assert.equal(NumberUtil_1.NumberUtil.fixedNum(2.333351, 4), 2.3334);
        assert.equal(NumberUtil_1.NumberUtil.fixedNum(234.4545), 234.45);
        assert.equal(NumberUtil_1.NumberUtil.fixedNum(-234.4455), -234.45);
        assert.equal(NumberUtil_1.NumberUtil.fixedNum(-234.4445), -234.44);
        assert.equal(NumberUtil_1.NumberUtil.cutNum(0), 0);
        assert.equal(NumberUtil_1.NumberUtil.cutNum(10 / 3), 3.33);
    });
    it(' fix obj ', async () => {
        assert.deepEqual(NumberUtil_1.NumberUtil.fixObj({ a: 0.1 + 0.2 }), { a: 0.3 });
    });
    it(' cutNum ', async () => {
        assert.ok(_.isNumber(NumberUtil_1.NumberUtil.cutNum(2.335)));
        assert.equal(NumberUtil_1.NumberUtil.cutNum(2.335), 2.33);
        assert.equal(NumberUtil_1.NumberUtil.cutNum(0.1 + 0.2), 0.3);
        assert.equal(NumberUtil_1.NumberUtil.cutNum(234.4545), 234.45);
        assert.equal(NumberUtil_1.NumberUtil.cutNum(-234.4545), -234.45);
        assert.equal(NumberUtil_1.NumberUtil.cutNum(0), 0);
        assert.equal(NumberUtil_1.NumberUtil.cutNum(10 / 3), 3.33);
    });
    it(' fixNumPrecision ', async () => {
        assert.ok(_.isNumber(NumberUtil_1.NumberUtil.fixNumPrecision(0.1 + 0.2)));
        assert.equal(NumberUtil_1.NumberUtil.fixNumPrecision(0.1 + 0.2), 0.3);
        assert.equal(NumberUtil_1.NumberUtil.fixNumPrecision(3.0004), 3.0004);
    });
});
//# sourceMappingURL=NumberUtil.test.js.map